Permalink
Browse files

Updated the gem spec

  • Loading branch information...
1 parent 6cbd11b commit 15f15e29785ae43797ea751c6a2117261e8d8bec @mathieuravaux mathieuravaux committed May 20, 2011
Showing with 17 additions and 11 deletions.
  1. +1 −0 Rakefile
  2. +16 −11 gattica.gemspec
View
@@ -12,6 +12,7 @@ begin
gemspec.description = "Gattica is a Ruby library for extracting data from the Google Analytics API."
gemspec.authors = ["Rob Cameron"]
gemspec.add_dependency 'hpricot'
+ gemspec.add_development_dependency 'mocha'
end
rescue LoadError
puts "Jeweler not available. Install it with: sudo gem install technicalpickles-jeweler -s http://gems.github.com"
View
@@ -9,14 +9,15 @@ Gem::Specification.new do |s|
s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
s.authors = ["Rob Cameron"]
- s.date = %q{2011-02-23}
+ s.date = %q{2011-05-20}
s.description = %q{Gattica is a Ruby library for extracting data from the Google Analytics API.}
s.email = %q{cannikinn@gmail.com}
s.extra_rdoc_files = [
"LICENSE",
"README.rdoc"
]
s.files = [
+ "Gemfile",
"History.txt",
"LICENSE",
"README.rdoc",
@@ -28,10 +29,10 @@ Gem::Specification.new do |s|
"lib/gattica/account.rb",
"lib/gattica/auth.rb",
"lib/gattica/convertible.rb",
- "lib/gattica/core_extensions.rb",
"lib/gattica/data_point.rb",
"lib/gattica/data_set.rb",
"lib/gattica/exceptions.rb",
+ "lib/gattica/hash_extensions.rb",
"lib/gattica/user.rb",
"lib/gattica/version.rb",
"test/helper.rb",
@@ -42,27 +43,31 @@ Gem::Specification.new do |s|
]
s.homepage = %q{http://github.com/cannikin/gattica}
s.require_paths = ["lib"]
- s.rubygems_version = %q{1.5.0}
+ s.rubygems_version = %q{1.6.2}
s.summary = %q{Gattica is a Ruby library for extracting data from the Google Analytics API.}
- s.test_files = [
- "examples/example.rb",
- "test/helper.rb",
- "test/suite.rb",
- "test/test_auth.rb",
- "test/test_engine.rb",
- "test/test_user.rb"
- ]
if s.respond_to? :specification_version then
s.specification_version = 3
if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
+ s.add_runtime_dependency(%q<gattica>, [">= 0"])
+ s.add_development_dependency(%q<mocha>, [">= 0"])
+ s.add_development_dependency(%q<rake>, [">= 0"])
s.add_runtime_dependency(%q<hpricot>, [">= 0"])
+ s.add_development_dependency(%q<mocha>, [">= 0"])
else
+ s.add_dependency(%q<gattica>, [">= 0"])
+ s.add_dependency(%q<mocha>, [">= 0"])
+ s.add_dependency(%q<rake>, [">= 0"])
s.add_dependency(%q<hpricot>, [">= 0"])
+ s.add_dependency(%q<mocha>, [">= 0"])
end
else
+ s.add_dependency(%q<gattica>, [">= 0"])
+ s.add_dependency(%q<mocha>, [">= 0"])
+ s.add_dependency(%q<rake>, [">= 0"])
s.add_dependency(%q<hpricot>, [">= 0"])
+ s.add_dependency(%q<mocha>, [">= 0"])
end
end

0 comments on commit 15f15e2

Please sign in to comment.